Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Interface WSDL2Constants

All Known Implementing Classes:
  AxisService2WSDL20

    public interface WSDL2Constants

Field Summary
`static String` | `ATTR_WHTTP_AUTHENTICATION_REALM`
`static String` | `ATTR_WHTTP_AUTHENTICATION_TYPE`
`static String` | `ATTR_WHTTP_CODE`
`static String` | `ATTR_WHTTP_CONTENT_ENCODING`
`static String` | `ATTR_WHTTP_FAULT_SERIALIZATION`
`static String` | `ATTR_WHTTP_HEADER`
`static String` | `ATTR_WHTTP_IGNORE_UNCITED`
`static String` | `ATTR_WHTTP_INPUT_SERIALIZATION`
`static String` | `ATTR_WHTTP_LOCATION`
`static String` | `ATTR_WHTTP_METHOD`
`static String` | `ATTR_WHTTP_OUTPUT_SERIALIZATION`
`static String` | `ATTR_WHTTP_QUERY_PARAMETER_SEPARATOR`
`static String` | `ATTR_WRPC_SIGNATURE`
`static String` | `ATTR_WSDLX_SAFE`
`static String` | `ATTR_WSOAP_ACTION`
`static String` | `ATTR_WSOAP_ADDRESS`
`static String` | `ATTR_WSOAP_CODE`
`static String` | `ATTR_WSOAP_HEADER`
`static String` | `ATTR_WSOAP_MEP`
`static String` | `ATTR_WSOAP_MODULE`
`static String` | `ATTR_WSOAP_PROTOCOL`
`static String` | `ATTR_WSOAP_SUBCODES`
`static String` | `ATTR_WSOAP_VERSION`
`static String` | `ATTRIBUTE_ACTION`
`static String` | `ATTRIBUTE_ADDRESS`
`static String` | `ATTRIBUTE_AUTHENTICATION_REALM`
`static String` | `ATTRIBUTE_AUTHENTICATION_TYPE`
`static String` | `ATTRIBUTE_CODE`
`static String` | `ATTRIBUTE_CONTENT_ENCODING`
`static String` | `ATTRIBUTE_CONTENT_ENCODING_DEFAULT`
`static String` | `ATTRIBUTE_ELEMENT`
`static String` | `ATTRIBUTE_FAULT_SERIALIZATION`
`static String` | `ATTRIBUTE_HEADER`
`static String` | `ATTRIBUTE_IGNORE_UNCITED`
`static String` | `ATTRIBUTE_INPUT_SERIALIZATION`
`static String` | `ATTRIBUTE_LOCATION`
`static String` | `ATTRIBUTE_MEP`
`static String` | `ATTRIBUTE_MEP_DEFAULT`
`static String` | `ATTRIBUTE_METHOD`
`static String` | `ATTRIBUTE_METHOD_DEFAULT`
`static String` | `ATTRIBUTE_MODULE`
`static String` | `ATTRIBUTE_MUST_UNDERSTAND`
`static String` | `ATTRIBUTE_NAME`
`static String` | `ATTRIBUTE_NAME_PATTERN`
`static String` | `ATTRIBUTE_OUTPUT_SERIALIZATION`
`static String` | `ATTRIBUTE_PROTOCOL`
`static String` | `ATTRIBUTE_QUERY_PARAMETER_SEPERATOR`
`static String` | `ATTRIBUTE_QUERY_PARAMETER_SEPERATOR_DEFAULT`
`static String` | `ATTRIBUTE_REF`
`static String` | `ATTRIBUTE_REQUIRED`
`static String` | `ATTRIBUTE_SAFE`
`static String` | `ATTRIBUTE_SIGNATURE`
`static String` | `ATTRIBUTE_STYLE`
`static String` | `ATTRIBUTE_SUBCODES`
`static String` | `ATTRIBUTE_TYPE`
`static String` | `ATTRIBUTE_VERSION`
`static String` | `BINDING_LOCAL_NAME`
`static String` | `DEFAULT_HTTP_ENDPOINT_NAME`
`static String` | `DEFAULT_HTTPS_PREFIX`
`static String` | `DEFAULT_INTERFACE_NAME`
`static String` | `DEFAULT_SOAP11_ENDPOINT_NAME`
`static String` | `DEFAULT_SOAP12_ENDPOINT_NAME`
`static String` | `DEFAULT_TARGET_NAMESPACE_PREFIX`
`static String` | `DEFAULT_WSDL_NAMESPACE_PREFIX`
`static String` | `DESCRIPTION`
`static String` | `DOCUMENTATION`
`static String` | `ENDPOINT_LOCAL_NAME`
`static String` | `FAULT_LOCAL_NAME`
`static String` | `HTTP_LOCATION_TABLE`
`static String` | `HTTP_PREFIX`
`static String` | `HTTP_PROTOCAL`
`static String` | `IN_FAULT_LOCAL_NAME`
`static String` | `IN_PUT_LOCAL_NAME`
`static String` | `INTERFACE_LOCAL_NAME`
`static String` | `INTERFACE_PREFIX`
`static String` | `LEGAL_CHARACTERS_IN_PATH`
`static String` | `LEGAL_CHARACTERS_IN_QUERY`
`static String` | `LEGAL_CHARACTERS_IN_URL`
`static String` | `MEP_URI_IN_ONLY`
`static String` | `MEP_URI_IN_OPTIONAL_OUT`
`static String` | `MEP_URI_IN_OUT`
`static String` | `MEP_URI_OUT_IN`
`static String` | `MEP_URI_OUT_ONLY`
`static String` | `MEP_URI_OUT_OPTIONAL_IN`
`static String` | `MEP_URI_ROBUST_IN_ONLY`
`static String` | `MEP_URI_ROBUST_OUT_ONLY`
`static String` | `MESSAGE_LABEL`
`static String` | `MESSAGE_LABEL_IN`
`static String` | `MESSAGE_LABEL_OUT`
`static String` | `NMTOKEN_ANY`
`static String` | `NMTOKEN_ELEMENT`
`static String` | `NMTOKEN_NONE`
`static String` | `NMTOKEN_OTHER`
`static String` | `OPERATION_LOCAL_NAME`
`static String` | `OPERATION_STYLE`
`static String` | `OUT_FAULT_LOCAL_NAME`
`static String` | `OUT_PUT_LOCAL_NAME`
`static String` | `RPC_IN`
`static String` | `RPC_INOUT`
`static String` | `RPC_RETURN`
`static String` | `SERVICE_LOCAL_NAME`
`static String` | `SOAP_BINDING_PREFIX`
`static String` | `SOAP_ENV_PREFIX`
`static String` | `SOAP_PREFIX`
`static String` | `SOAP_VERSION_1_1`
`static String` | `SOAP_VERSION_1_2`
`static String` | `STYLE_IRI`
`static String` | `STYLE_MULTIPART`
`static String` | `STYLE_RPC`
`static String` | `TARGET_NAMESPACE`
`static String` | `TEMPLATE_ENCODE_ESCAPING_CHARACTER`
`static String` | `TYPES_LOCAL_NALE`
`static String` | `URI_WSDL2_EXTENSIONS`
`static String` | `URI_WSDL2_HTTP`
`static String` | `URI_WSDL2_RPC`
`static String` | `URI_WSDL2_SOAP`
`static String` | `URI_WSOAP_MEP`
`static String` | `WSDL_EXTENTION_PREFIX`
`static String` | `WSDL_NAMESPACE`
`static String` | `WSDL_RPC_PREFIX`

Field Detail

### WSDL_NAMESPACE

    static final String WSDL_NAMESPACE

See Also:
  Constant Field Values

### DEFAULT_WSDL_NAMESPACE_PREFIX

    static final String DEFAULT_WSDL_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### DESCRIPTION

    static final String DESCRIPTION

See Also:
  Constant Field Values

### URI_WSDL2_SOAP

    static final String URI_WSDL2_SOAP

See Also:
  Constant Field Values

### URI_WSDL2_HTTP

    static final String URI_WSDL2_HTTP

See Also:
  Constant Field Values

### URI_WSDL2_EXTENSIONS

    static final String URI_WSDL2_EXTENSIONS

See Also:
  Constant Field Values

### URI_WSDL2_RPC

    static final String URI_WSDL2_RPC

See Also:
  Constant Field Values

### SOAP_PREFIX

    static final String SOAP_PREFIX

See Also:
  Constant Field Values

### HTTP_PREFIX

    static final String HTTP_PREFIX

See Also:
  Constant Field Values

### WSDL_EXTENTION_PREFIX

    static final String WSDL_EXTENTION_PREFIX

See Also:
  Constant Field Values

### WSDL_RPC_PREFIX

    static final String WSDL_RPC_PREFIX

See Also:
  Constant Field Values

### SOAP_ENV_PREFIX

    static final String SOAP_ENV_PREFIX

See Also:
  Constant Field Values

### DEFAULT_TARGET_NAMESPACE_PREFIX

    static final String DEFAULT_TARGET_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### DOCUMENTATION

    static final String DOCUMENTATION

See Also:
  Constant Field Values

### DEFAULT_SOAP11_ENDPOINT_NAME

    static final String DEFAULT_SOAP11_ENDPOINT_NAME

See Also:
  Constant Field Values

### DEFAULT_SOAP12_ENDPOINT_NAME

    static final String DEFAULT_SOAP12_ENDPOINT_NAME

See Also:
  Constant Field Values

### DEFAULT_HTTP_ENDPOINT_NAME

    static final String DEFAULT_HTTP_ENDPOINT_NAME

See Also:
  Constant Field Values

### DEFAULT_HTTPS_PREFIX

    static final String DEFAULT_HTTPS_PREFIX

See Also:
  Constant Field Values

### DEFAULT_INTERFACE_NAME

    static final String DEFAULT_INTERFACE_NAME

See Also:
  Constant Field Values

### TYPES_LOCAL_NALE

    static final String TYPES_LOCAL_NALE

See Also:
  Constant Field Values

### INTERFACE_LOCAL_NAME

    static final String INTERFACE_LOCAL_NAME

See Also:
  Constant Field Values

### INTERFACE_PREFIX

    static final String INTERFACE_PREFIX

See Also:
  Constant Field Values

### OPERATION_LOCAL_NAME

    static final String OPERATION_LOCAL_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_NAME

    static final String ATTRIBUTE_NAME

See Also:
  Constant Field Values

### TARGET_NAMESPACE

    static final String TARGET_NAMESPACE

See Also:
  Constant Field Values

### ATTRIBUTE_REF

    static final String ATTRIBUTE_REF

See Also:
  Constant Field Values

### ATTRIBUTE_LOCATION

    static final String ATTRIBUTE_LOCATION

See Also:
  Constant Field Values

### ATTRIBUTE_CONTENT_ENCODING_DEFAULT

    static final String ATTRIBUTE_CONTENT_ENCODING_DEFAULT

See Also:
  Constant Field Values

### ATTRIBUTE_CONTENT_ENCODING

    static final String ATTRIBUTE_CONTENT_ENCODING

See Also:
  Constant Field Values

### ATTRIBUTE_QUERY_PARAMETER_SEPERATOR

    static final String ATTRIBUTE_QUERY_PARAMETER_SEPERATOR

See Also:
  Constant Field Values

### ATTRIBUTE_QUERY_PARAMETER_SEPERATOR_DEFAULT

    static final String ATTRIBUTE_QUERY_PARAMETER_SEPERATOR_DEFAULT

See Also:
  Constant Field Values

### ATTRIBUTE_ACTION

    static final String ATTRIBUTE_ACTION

See Also:
  Constant Field Values

### ATTRIBUTE_MEP

    static final String ATTRIBUTE_MEP

See Also:
  Constant Field Values

### ATTRIBUTE_MEP_DEFAULT

    static final String ATTRIBUTE_MEP_DEFAULT

See Also:
  Constant Field Values

### ATTRIBUTE_METHOD

    static final String ATTRIBUTE_METHOD

See Also:
  Constant Field Values

### ATTRIBUTE_METHOD_DEFAULT

    static final String ATTRIBUTE_METHOD_DEFAULT

See Also:
  Constant Field Values

### ATTRIBUTE_MODULE

    static final String ATTRIBUTE_MODULE

See Also:
  Constant Field Values

### ATTRIBUTE_IGNORE_UNCITED

    static final String ATTRIBUTE_IGNORE_UNCITED

See Also:
  Constant Field Values

### ATTRIBUTE_INPUT_SERIALIZATION

    static final String ATTRIBUTE_INPUT_SERIALIZATION

See Also:
  Constant Field Values

### ATTRIBUTE_OUTPUT_SERIALIZATION

    static final String ATTRIBUTE_OUTPUT_SERIALIZATION

See Also:
  Constant Field Values

### ATTRIBUTE_FAULT_SERIALIZATION

    static final String ATTRIBUTE_FAULT_SERIALIZATION

See Also:
  Constant Field Values

### ATTRIBUTE_CODE

    static final String ATTRIBUTE_CODE

See Also:
  Constant Field Values

### ATTRIBUTE_SUBCODES

    static final String ATTRIBUTE_SUBCODES

See Also:
  Constant Field Values

### ATTRIBUTE_HEADER

    static final String ATTRIBUTE_HEADER

See Also:
  Constant Field Values

### ATTRIBUTE_TYPE

    static final String ATTRIBUTE_TYPE

See Also:
  Constant Field Values

### ATTRIBUTE_REQUIRED

    static final String ATTRIBUTE_REQUIRED

See Also:
  Constant Field Values

### ATTRIBUTE_MUST_UNDERSTAND

    static final String ATTRIBUTE_MUST_UNDERSTAND

See Also:
  Constant Field Values

### ATTRIBUTE_VERSION

    static final String ATTRIBUTE_VERSION

See Also:
  Constant Field Values

### ATTRIBUTE_PROTOCOL

    static final String ATTRIBUTE_PROTOCOL

See Also:
  Constant Field Values

### ATTRIBUTE_SAFE

    static final String ATTRIBUTE_SAFE

See Also:
  Constant Field Values

### ATTRIBUTE_ADDRESS

    static final String ATTRIBUTE_ADDRESS

See Also:
  Constant Field Values

### ATTRIBUTE_AUTHENTICATION_TYPE

    static final String ATTRIBUTE_AUTHENTICATION_TYPE

See Also:
  Constant Field Values

### ATTRIBUTE_AUTHENTICATION_REALM

    static final String ATTRIBUTE_AUTHENTICATION_REALM

See Also:
  Constant Field Values

### ATTRIBUTE_STYLE

    static final String ATTRIBUTE_STYLE

See Also:
  Constant Field Values

### ATTRIBUTE_SIGNATURE

    static final String ATTRIBUTE_SIGNATURE

See Also:
  Constant Field Values

### OPERATION_STYLE

    static final String OPERATION_STYLE

See Also:
  Constant Field Values

### IN_PUT_LOCAL_NAME

    static final String IN_PUT_LOCAL_NAME

See Also:
  Constant Field Values

### OUT_PUT_LOCAL_NAME

    static final String OUT_PUT_LOCAL_NAME

See Also:
  Constant Field Values

### OUT_FAULT_LOCAL_NAME

    static final String OUT_FAULT_LOCAL_NAME

See Also:
  Constant Field Values

### IN_FAULT_LOCAL_NAME

    static final String IN_FAULT_LOCAL_NAME

See Also:
  Constant Field Values

### FAULT_LOCAL_NAME

    static final String FAULT_LOCAL_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_NAME_PATTERN

    static final String ATTRIBUTE_NAME_PATTERN

See Also:
  Constant Field Values

### MESSAGE_LABEL

    static final String MESSAGE_LABEL

See Also:
  Constant Field Values

### ATTRIBUTE_ELEMENT

    static final String ATTRIBUTE_ELEMENT

See Also:
  Constant Field Values

### BINDING_LOCAL_NAME

    static final String BINDING_LOCAL_NAME

See Also:
  Constant Field Values

### ENDPOINT_LOCAL_NAME

    static final String ENDPOINT_LOCAL_NAME

See Also:
  Constant Field Values

### SOAP_BINDING_PREFIX

    static final String SOAP_BINDING_PREFIX

See Also:
  Constant Field Values

### HTTP_PROTOCAL

    static final String HTTP_PROTOCAL

See Also:
  Constant Field Values

### SERVICE_LOCAL_NAME

    static final String SERVICE_LOCAL_NAME

See Also:
  Constant Field Values

### URI_WSOAP_MEP

    static final String URI_WSOAP_MEP

See Also:
  Constant Field Values

### ATTR_WSOAP_PROTOCOL

    static final String ATTR_WSOAP_PROTOCOL

See Also:
  Constant Field Values

### ATTR_WSOAP_VERSION

    static final String ATTR_WSOAP_VERSION

See Also:
  Constant Field Values

### ATTR_WSOAP_CODE

    static final String ATTR_WSOAP_CODE

See Also:
  Constant Field Values

### ATTR_WSOAP_MEP

    static final String ATTR_WSOAP_MEP

See Also:
  Constant Field Values

### ATTR_WSOAP_MODULE

    static final String ATTR_WSOAP_MODULE

See Also:
  Constant Field Values

### ATTR_WSOAP_SUBCODES

    static final String ATTR_WSOAP_SUBCODES

See Also:
  Constant Field Values

### ATTR_WSOAP_HEADER

    static final String ATTR_WSOAP_HEADER

See Also:
  Constant Field Values

### ATTR_WSOAP_ACTION

    static final String ATTR_WSOAP_ACTION

See Also:
  Constant Field Values

### ATTR_WSOAP_ADDRESS

    static final String ATTR_WSOAP_ADDRESS

See Also:
  Constant Field Values

### ATTR_WHTTP_CONTENT_ENCODING

    static final String ATTR_WHTTP_CONTENT_ENCODING

See Also:
  Constant Field Values

### ATTR_WHTTP_LOCATION

    static final String ATTR_WHTTP_LOCATION

See Also:
  Constant Field Values

### ATTR_WHTTP_HEADER

    static final String ATTR_WHTTP_HEADER

See Also:
  Constant Field Values

### ATTR_WHTTP_METHOD

    static final String ATTR_WHTTP_METHOD

See Also:
  Constant Field Values

### ATTR_WHTTP_CODE

    static final String ATTR_WHTTP_CODE

See Also:
  Constant Field Values

### ATTR_WHTTP_QUERY_PARAMETER_SEPARATOR

    static final String ATTR_WHTTP_QUERY_PARAMETER_SEPARATOR

See Also:
  Constant Field Values

### ATTR_WHTTP_IGNORE_UNCITED

    static final String ATTR_WHTTP_IGNORE_UNCITED

See Also:
  Constant Field Values

### ATTR_WHTTP_INPUT_SERIALIZATION

    static final String ATTR_WHTTP_INPUT_SERIALIZATION

See Also:
  Constant Field Values

### ATTR_WHTTP_OUTPUT_SERIALIZATION

    static final String ATTR_WHTTP_OUTPUT_SERIALIZATION

See Also:
  Constant Field Values

### ATTR_WHTTP_FAULT_SERIALIZATION

    static final String ATTR_WHTTP_FAULT_SERIALIZATION

See Also:
  Constant Field Values

### ATTR_WHTTP_AUTHENTICATION_TYPE

    static final String ATTR_WHTTP_AUTHENTICATION_TYPE

See Also:
  Constant Field Values

### ATTR_WHTTP_AUTHENTICATION_REALM

    static final String ATTR_WHTTP_AUTHENTICATION_REALM

See Also:
  Constant Field Values

### ATTR_WSDLX_SAFE

    static final String ATTR_WSDLX_SAFE

See Also:
  Constant Field Values

### ATTR_WRPC_SIGNATURE

    static final String ATTR_WRPC_SIGNATURE

See Also:
  Constant Field Values

### SOAP_VERSION_1_1

    static final String SOAP_VERSION_1_1

See Also:
  Constant Field Values

### SOAP_VERSION_1_2

    static final String SOAP_VERSION_1_2

See Also:
  Constant Field Values

### MESSAGE_LABEL_IN

    static final String MESSAGE_LABEL_IN

See Also:
  Constant Field Values

### MESSAGE_LABEL_OUT

    static final String MESSAGE_LABEL_OUT

See Also:
  Constant Field Values

### RPC_IN

    static final String RPC_IN

See Also:
  Constant Field Values

### RPC_RETURN

    static final String RPC_RETURN

See Also:
  Constant Field Values

### RPC_INOUT

    static final String RPC_INOUT

See Also:
  Constant Field Values

### HTTP_LOCATION_TABLE

    static final String HTTP_LOCATION_TABLE

See Also:
  Constant Field Values

### LEGAL_CHARACTERS_IN_URL

    static final String LEGAL_CHARACTERS_IN_URL

See Also:
  Constant Field Values

### LEGAL_CHARACTERS_IN_PATH

    static final String LEGAL_CHARACTERS_IN_PATH

See Also:
  Constant Field Values

### LEGAL_CHARACTERS_IN_QUERY

    static final String LEGAL_CHARACTERS_IN_QUERY

See Also:
  Constant Field Values

### TEMPLATE_ENCODE_ESCAPING_CHARACTER

    static final String TEMPLATE_ENCODE_ESCAPING_CHARACTER

See Also:
  Constant Field Values

### MEP_URI_IN_ONLY

    static final String MEP_URI_IN_ONLY

See Also:
  Constant Field Values

### MEP_URI_ROBUST_IN_ONLY

    static final String MEP_URI_ROBUST_IN_ONLY

See Also:
  Constant Field Values

### MEP_URI_IN_OUT

    static final String MEP_URI_IN_OUT

See Also:
  Constant Field Values

### MEP_URI_IN_OPTIONAL_OUT

    static final String MEP_URI_IN_OPTIONAL_OUT

See Also:
  Constant Field Values

### MEP_URI_OUT_ONLY

    static final String MEP_URI_OUT_ONLY

See Also:
  Constant Field Values

### MEP_URI_ROBUST_OUT_ONLY

    static final String MEP_URI_ROBUST_OUT_ONLY

See Also:
  Constant Field Values

### MEP_URI_OUT_IN

    static final String MEP_URI_OUT_IN

See Also:
  Constant Field Values

### MEP_URI_OUT_OPTIONAL_IN

    static final String MEP_URI_OUT_OPTIONAL_IN

See Also:
  Constant Field Values

### STYLE_IRI

    static final String STYLE_IRI

See Also:
  Constant Field Values

### STYLE_RPC

    static final String STYLE_RPC

See Also:
  Constant Field Values

### STYLE_MULTIPART

    static final String STYLE_MULTIPART

See Also:
  Constant Field Values

### NMTOKEN_ANY

    static final String NMTOKEN_ANY

See Also:
  Constant Field Values

### NMTOKEN_NONE

    static final String NMTOKEN_NONE

See Also:
  Constant Field Values

### NMTOKEN_OTHER

    static final String NMTOKEN_OTHER

See Also:
  Constant Field Values

### NMTOKEN_ELEMENT

    static final String NMTOKEN_ELEMENT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.